Subject: RE: (ngtrans) RE: Shipworm

From: "Christian Huitema" <[email-masked]>
Date: Thu, 3 Oct 2002 10:35:55 -0700

> > 5) The current task of relays is very similar to resolving an ARP
> > request for a client; this is something that relays do easily.
> 
> security folk consider arp one of the most horrifying holes.

My reference to ARP related to the two phase approach, also implemented
in neighbor discovery: first "resolve" the destination address; then,
once resolution is complete, forward the packets. Teredo does not
actually use the ARP protocol, and does not share the ARP security
issues.

-- Christian Huitema